        !COMPILER-GENERATED INTERFACE MODULE: Mon Feb 13 16:37:44 2012
        MODULE DSCAL_mod
          INTERFACE 
            SUBROUTINE DSCAL(N,DA,DX,INCX)
              INTEGER(KIND=4) :: N
              REAL(KIND=8) :: DA
              REAL(KIND=8) :: DX(1)
              INTEGER(KIND=4) :: INCX
            END SUBROUTINE DSCAL
          END INTERFACE 
        END MODULE DSCAL_mod
